﻿using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PushPlatform.Common.Util
{
    /// <summary>
    /// json辅助类
    /// </summary>
    public static class JsonHelper
    {
        #region 对象转换为JSON字符串，object扩展方法
        /// <summary>
        /// 对象转换为JSON字符串，object扩展方法
        /// </summary>
        /// <param name="obj">要转换的对象</param>
        /// <returns>返回JSON字符串</returns>
        public static string ToJson(this object obj)
        {
            return JsonConvert.SerializeObject(obj);
        }
        #endregion

        #region JSON字符串转为对象，string扩展方法
        /// <summary>
        /// JSON字符串转为对象，string扩展方法
        /// </summary>
        /// <typeparam name="T">要转换的对象类型</typeparam>
        /// <param name="json">要转换的JSON字符串</param>
        /// <returns>返回转换后的对象</returns>
        public static T ToObject<T>(this string json) where T : class, new()
        {
            return JsonConvert.DeserializeObject<T>(json);
        }
        #endregion

        #region JSON字符串转匿名类，string扩展方法
        /// <summary>
        /// JSON字符串转匿名类
        /// </summary>
        /// <typeparam name="T">匿名类型</typeparam>
        /// <param name="json">要转换的JSON字符串</param>
        /// <param name="anonymousObj">匿名类对象</param>
        /// <returns>返回转换后的匿名对象</returns>
        public static T ToAnonymousObject<T>(this string json, T anonymousObj)
        {
            return JsonConvert.DeserializeAnonymousType<T>(json, anonymousObj);
        }
        #endregion
    }
}
